#!/usr/bin/env python2
# -*- coding: utf-8 -*-

# Primitivus: a SAT frontend
# Copyright (C) 2009-2016 Jérôme Poisson (goffi@goffi.org)

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from sat_frontends.quick_frontend import constants


class Const(constants.Const):

    APP_NAME = u"jp"
    PLUGIN_CMD = u"commands"
    PLUGIN_OUTPUT = u"outputs"
    OUTPUT_TEXT = u'text' # blob of unicode text
    OUTPUT_DICT = u'dict' # simple key/value dictionary
    OUTPUT_LIST = u'list'
    OUTPUT_COMPLEX = u'complex' # complex data (e.g. multi-level dictionary)
    OUTPUT_TYPES = (OUTPUT_TEXT, OUTPUT_DICT, OUTPUT_LIST, OUTPUT_COMPLEX)

    # exit codes
    EXIT_OK = 0
    EXIT_ERROR = 1 # generic error, when nothing else match
    EXIT_BAD_ARG = 2 # arguments given by user are bad
    EXIT_BRIDGE_ERROR = 3 # can't connect to bridge
    EXIT_BRIDGE_ERRBACK = 4 # something went wrong when calling a bridge method
    EXIT_NOT_FOUND = 16 # an item required by a command was not found
    EXIT_FILE_NOT_EXE = 126 # a file to be executed was found, but it was not an executable utility (cf. man 1 exit)
    EXIT_CMD_NOT_FOUND = 127 # a utility to be executed was not found (cf. man 1 exit)
    EXIT_SIGNAL_INT = 128 # a command was interrupted by a signal (cf. man 1 exit)
